Author Topic: NormationTam is not supported by Current Version - Update Require  (Read 1751 times)

0 Members and 1 Guest are viewing this topic.

starssoft

  • Developer
  • *****
  • Posts: 44
    • View Profile
Dear Achim,

Me and Gert implemented a seperate normation for Tamil, which is not supported by current version. 

It shows "Dictionary could not be load" error while downloading normated Tamil Dictionaries.

The changes are updated to SVN.  Kindly recompile the apk based on latest source codes.


Stars Soft

axin

  • Developer
  • *****
  • Posts: 128
    • View Profile
Re: NormationTam is not supported by Current Version - Update Require
« Reply #1 on: 27. March 2014, 06:46:11 »
Hi,

Thanks for updating me about this important change. I'm currently on the road without access to my computer, but I'll push an update as soon as I'm back (in about two weeks).

Cheers,
Achim

starssoft

  • Developer
  • *****
  • Posts: 44
    • View Profile
Re: NormationTam is not supported by Current Version - Update Require
« Reply #2 on: 28. March 2014, 02:37:56 »
Dear Achim,

Thanks for your kind reply.

If you've some more time, then kindly add a notification bar in the app, to make announcement about new dictionaries added to our database (like feed reader).  It'll make aware the users about the new dictionaries which are all available to download.

Stars Soft

axin

  • Developer
  • *****
  • Posts: 128
    • View Profile
Re: NormationTam is not supported by Current Version - Update Require
« Reply #3 on: 21. April 2014, 21:43:30 »
Hi,

a quick status update:

I quickly tried releasing an updated version that just includes the new Normation classes. I couldn't get this to compile in limited amount of time as there were missing classes that finally lead to the inclusion of all changes. The problem is that this does not currently work as the Android UI does not support the mulit-dictionary API yet. So I'll focus in incorporating the new API in the Android UI and make a new release when this is ready.
The basic lookup in multiple dictionaries is already working in the development version, but there are still quite a few edgy cases that I need to consider (and which currently cause the app to crash)...

Cheers,
Achim

starssoft

  • Developer
  • *****
  • Posts: 44
    • View Profile
Re: NormationTam is not supported by Current Version - Update Require
« Reply #4 on: 22. April 2014, 01:21:59 »
Dear Achim,

Thanks for working for us, even in your busy schedule... :)

I like to share an information, Apart from NormationTam.java, we've also added another class called StringReplaceTable.java under normation folder.  I don't know whether this is the reason for current issues (missing classes)... ??? ???


Stars Soft